LABINVENT (Inventirap) - Evolution #7012
(X) GENERAL - Configuration - Adapter les logos des documents pdf (notamment les admission*.ctp)
06/07/2019 12:22 pm - Etienne Pallier

Status: Nouveau Start date: 06/07/2019
Priority: Urgent Due date:

Assignee: % Done: 80%
Category: GENERAL Estimated time: 0.00 hour
Target version: version 2.13.x (2019) - Trés configurable ¢Spertt ltibde? CACHE ~ 0.00 hour
Description

(I) (21/5/19, CRAL) Adapter les logos des documents pdf (notamment les admission®.ctp) :

Il faudra que j'adapte en passant la liste des organismes en paramétre, via le tableau $data de la fonction admission() du controleur
src/Controller/DocumentsController.php

Ce tableau $data est lu dans admission_pdf.ctp et il suffira alors d'adapter le code de la ligne 30 et suivantes.

Il faut aussi que tout ¢a soit réglable via le menu de configuration... (upload des logos)

CRAL :

Dans Organisme nous avons CNRS, ENS Lyon et Université Claude Bernard Lyon1.
J'ai vu le fichier ./Template/Documents/pdf/admission_pdf.ctp

Sl je comprends bien tout est codé directement dans le source pour les logos?
Quelles sont les contraintes en terme de taille?

History

#1 - 06/07/2019 01:00 pm - Etienne Pallier
- Priority changed from Haut to Urgent

#2 - 06/08/2019 09:42 am - Etienne Pallier
- % Done changed from 0 to 20

#3 - 06/08/2019 04:52 pm - Etienne Pallier
- % Done changed from 20 to 80

#4 - 03/05/2020 04:03 pm - Etienne Pallier

- Subject changed from GENERAL - Configuration - Adapter les logos des documents pdf (notamment les admission*.ctp) : to (X) GENERAL -

Configuration - Adapter les logos des documents pdf (notamment les admission*.ctp)
